libmodule-install-perl_1.19-1_all.deb


Advertisement

Description

libmodule-install-perl - framework for installing Perl modules

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmodule-install-perl_1.19-1_all.deb
Package name libmodule-install-perl
Package version 1.19
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage https://metacpan.org/release/Module-Install
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 148.23 KB
Installed size 356.00 KB
NOTE: while Module::Install pioneered many great ideas in its time, its
primary benefits have been better achieved by other tools, like Dist::Zilla,
and its spinoffs. Use of Module::Install for new distributions is therefore
discouraged by the maintainers.
Module::Install is a package for writing installers for CPAN (or CPAN-like)
distributions that are clean, simple, minimalist, act in a strictly correct
manner with ExtUtils::MakeMaker. It will run on any Perl installation version
5.005 or newer.
It is designed to automatically include a copy of itself with modules that
use it, thus ensuring that bleeding-edge features will be available for use
in Makefile.PL in a simple and portable way. It is simple to learn, and has
the same features as ExtUtils::MakeMaker and Module::Build. However, it has
the advantage that it requires no installation for end-users.

Alternatives

Package Version Architecture Repository
libmodule-install-perl_1.19-1_all.deb 1.19 all Debian Main
libmodule-install-perl - - -

Requires

Name Value
libfile-remove-perl -
libmodule-scandeps-perl >= 1.09
libparse-cpan-meta-perl >= 1.4413
libyaml-tiny-perl -
perl -
perl >= 5.19.9

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmodule-install-perl_1.19-1_all.deb
Source Package libmodule-install-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodule-install-perl deb package:
    # sudo apt-get install libmodule-install-perl

Files

Path
/usr/share/doc/libmodule-install-perl/changelog.Debian.gz
/usr/share/doc/libmodule-install-perl/changelog.gz
/usr/share/doc/libmodule-install-perl/copyright
/usr/share/man/man3/Module::AutoInstall.3pm.gz
/usr/share/man/man3/Module::Install.3pm.gz
/usr/share/man/man3/Module::Install::API.3pm.gz
/usr/share/man/man3/Module::Install::Admin.3pm.gz
/usr/share/man/man3/Module::Install::Admin::Include.3pm.gz
/usr/share/man/man3/Module::Install::Base.3pm.gz
/usr/share/man/man3/Module::Install::Bundle.3pm.gz
/usr/share/man/man3/Module::Install::Can.3pm.gz
/usr/share/man/man3/Module::Install::Compiler.3pm.gz
/usr/share/man/man3/Module::Install::Deprecated.3pm.gz
/usr/share/man/man3/Module::Install::External.3pm.gz
/usr/share/man/man3/Module::Install::FAQ.3pm.gz
/usr/share/man/man3/Module::Install::Makefile.3pm.gz
/usr/share/man/man3/Module::Install::PAR.3pm.gz
/usr/share/man/man3/Module::Install::Philosophy.3pm.gz
/usr/share/man/man3/Module::Install::Share.3pm.gz
/usr/share/man/man3/Module::Install::With.3pm.gz
/usr/share/man/man3/inc::Module::Install.3pm.gz
/usr/share/man/man3/inc::Module::Install::DSL.3pm.gz
/usr/share/perl5/Module/AutoInstall.pm
/usr/share/perl5/Module/Install.pm
/usr/share/perl5/Module/Install.pod
/usr/share/perl5/Module/Install/API.pod
/usr/share/perl5/Module/Install/Admin.pm
/usr/share/perl5/Module/Install/AutoInstall.pm
/usr/share/perl5/Module/Install/Base.pm
/usr/share/perl5/Module/Install/Bundle.pm
/usr/share/perl5/Module/Install/Can.pm
/usr/share/perl5/Module/Install/Compiler.pm
/usr/share/perl5/Module/Install/DSL.pm
/usr/share/perl5/Module/Install/Deprecated.pm
/usr/share/perl5/Module/Install/External.pm
/usr/share/perl5/Module/Install/FAQ.pod
/usr/share/perl5/Module/Install/Fetch.pm
/usr/share/perl5/Module/Install/Include.pm
/usr/share/perl5/Module/Install/Inline.pm
/usr/share/perl5/Module/Install/MakeMaker.pm
/usr/share/perl5/Module/Install/Makefile.pm
/usr/share/perl5/Module/Install/Metadata.pm
/usr/share/perl5/Module/Install/PAR.pm
/usr/share/perl5/Module/Install/Philosophy.pod
/usr/share/perl5/Module/Install/Run.pm
/usr/share/perl5/Module/Install/Scripts.pm
/usr/share/perl5/Module/Install/Share.pm
/usr/share/perl5/Module/Install/Win32.pm
/usr/share/perl5/Module/Install/With.pm
/usr/share/perl5/Module/Install/WriteAll.pm
/usr/share/perl5/Module/Install/Admin/Bundle.pm
/usr/share/perl5/Module/Install/Admin/Compiler.pm
/usr/share/perl5/Module/Install/Admin/Find.pm
/usr/share/perl5/Module/Install/Admin/Include.pm
/usr/share/perl5/Module/Install/Admin/Makefile.pm
/usr/share/perl5/Module/Install/Admin/Manifest.pm
/usr/share/perl5/Module/Install/Admin/Metadata.pm
/usr/share/perl5/Module/Install/Admin/ScanDeps.pm
/usr/share/perl5/Module/Install/Admin/WriteAll.pm
/usr/share/perl5/inc/Module/Install.pm
/usr/share/perl5/inc/Module/Install/DSL.pm

Changelog

2018-01-01 - Damyan Ivanov <dmn@debian.org>
libmodule-install-perl (1.19-1) unstable; urgency=medium
* New upstream version 1.19
* declare conformance with Policy 4.1.3 (no changes needed)
2017-10-25 - Damyan Ivanov <dmn@debian.org>
libmodule-install-perl (1.18-1) unstable; urgency=medium
[ Alex Muntada ]
* Remove inactive pkg-perl members from Uploaders.
[ Damyan Ivanov ]
* New upstream version 1.18
* drop spelling.patch, applied upstream
* declare conformance with Policy 4.1.1
* correct minimum supported Perl version in long description
* move the discouragement paragraph to the start of the long description
2016-10-30 - gregor herrmann <gregoa@debian.org>
libmodule-install-perl (1.17-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Remove Brian Cassidy, Jonathan Yu, Rene Mayorga, Ryan Niebur, and
AGOSTINI Yves from Uploaders. Thanks for your work!
* Import upstream version 1.17.
* debian/control: add upstream deprecation note to long description.
* Update years of packaging copyright.
* Add a patch to fix spelling mistakes in the POD.
* Bump debhelper compatibility level to 9.
* Declare compliance with Debian Policy 3.9.8.
2015-07-07 - gregor herrmann <gregoa@debian.org>
libmodule-install-perl (1.16-1) unstable; urgency=medium
* Import upstream version 1.16
* Update years of packaging copyright.
2014-10-25 - gregor herrmann <gregoa@debian.org>
libmodule-install-perl (1.14-1) unstable; urgency=medium
* Import upstream version 1.14
* Update Upstream-Contact in debian/copyright.
* Mark package as autopkgtest-able.
2014-09-20 - gregor herrmann <gregoa@debian.org>
libmodule-install-perl (1.12-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
* Add debian/upstream/metadata
* Imported upstream version 1.12
* Update (i.e. revert) upstream copyright years.
* Drop packages from Recommends which were added upstream in 1.10 and
removed again in 1.12.
* Remove POD/manpage fix from debian/rules.
The breakage in 1.10 is reverted upstream in 1.12.
* Declare compliance with Debian Policy 3.9.6.
2014-07-12 - gregor herrmann <gregoa@debian.org>
libmodule-install-perl (1.10-1) unstable; urgency=medium
* New upstream release.
* Update copyright years, add another third-party file.
* Drop fix-pod.patch, merged upstream.
* Update build and runtime dependencies.
* debian/rules: remove or recreate manpages created from POD fragments.
2014-05-03 - gregor herrmann <gregoa@debian.org>
libmodule-install-perl (1.08-1) unstable; urgency=low
[ Alessandro Ghedini ]
* Email change: Alessandro Ghedini -> ghedo@debian.org
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Alessandro Ghedini ]
* Remove myself from Uploaders
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
* New upstream release.
* Update (build) dependencies.
* debian/copyright: add information about third-party file.
* Update years of packaging copyright.
* Declare compliance with Debian Policy 3.9.5.
2012-03-19 - Alessandro Ghedini <al3xbio@gmail.com>
libmodule-install-perl (1.06-1) unstable; urgency=low
* Team upload
[ Alessandro Ghedini ]
* New upstream release
* Update upstream copyright years
* Update debian/copyright format as in Debian Policy 3.9.3
* Bump Standards-Version to 3.9.3
[ gregor herrmann ]
* Don't remove some POD files any longer.
2011-10-20 - Alessandro Ghedini <al3xbio@gmail.com>
libmodule-install-perl (1.04-1) unstable; urgency=low
* Team upload
* New upstream release

See Also

Package Description
libmodule-install-rdf-perl_0.009-1_all.deb advanced metadata for your Perl packaging
libmodule-install-readmefrompod-perl_0.30-3_all.deb automatically convert POD to a README
libmodule-install-rtx-perl_0.38-1_all.deb RT extension installer
libmodule-install-trustmetayml-perl_0.003-3_all.deb trust META.yml list of dependencies
libmodule-install-xsutil-perl_0.45-1_all.deb Module::Install extension for handling XS modules
libmodule-load-conditional-perl_0.68-1_all.deb module for looking up information about modules
libmodule-manifest-perl_1.09-1_all.deb module for parsing and examining a Perl distribution MANIFEST file
libmodule-manifest-skip-perl_0.23-1_all.deb MANIFEST.SKIP management for Perl modules
libmodule-math-depends-perl_0.02-3_all.deb convenience object for manipulating Perl module dependencies
libmodule-metadata-perl_1.000033-1_all.deb Perl module to gather package and POD information from perl module files
libmodule-optional-perl_0.03-1_all.deb Module::Optional - Breaking module dependency chains
libmodule-package-perl_0.30-2_all.deb postmodern Perl module packaging
libmodule-package-rdf-perl_0.014-1_all.deb drive your distribution with RDF
libmodule-path-perl_0.19-1_all.deb module to get the full path to a locally installed Perl module
libmodule-pluggable-fast-perl_0.19-2_all.deb module for fast plugins with instantiation
Advertisement
Advertisement